LINUX.ORG.RU

Steam не запускается. Intel i5 - 4210 GTX950M arch linux.

 , ,


0

2

Значит стим не запускается, не выдаёт ошибок. Если в терминале запускать, то пишет:

 steam
/home/cattle/.local/share/Steam/steam.sh: line 161: VERSION_ID: unbound variable
/home/cattle/.local/share/Steam/steam.sh: line 161: VERSION_ID: unbound variable
Running Steam on arch  64-bit
/home/cattle/.local/share/Steam/steam.sh: line 161: VERSION_ID: unbound variable
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(0)

function detect_release()
{
	if [ -f /etc/lsb-release ]; then
		(. /etc/lsb-release; echo $DISTRIB_RELEASE)
	elif [ -f /etc/os-release ]; then
		(. /etc/os-release; echo $VERSION_ID)
	elif [ -f /etc/debian_version ]; then
		cat /etc/debian_version
	else
		# Generic fallback
		uname -r
	fi
}

Да, просто установи lsb-release

das_tier ★★★★★ ()
Ответ на: комментарий от das_tier

лол, теперь

steam
Running Steam on arch rolling 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(0)

netpad ()
Ответ на: комментарий от netpad

было у меня такое, казалось, на ровном месте. Проверил наличие требуемых либ - оказалось, когда удалял невидию, не изменились некоторые жизненно важные симлинки в /usr/lib32, вроде libGL.so или что-то еще. Там я вообще напутал сам, но однозначно видел, что в процессе удаления не все затирается\восстанавливается в первоначальное состояние, пришлось ручками доделывать. Вообще люди с помощью strace такое смотрят. В твоем случае, может, других библиотек не хватат.

semenaa ()
Ответ на: комментарий от semenaa
ldd ~/.steam/bin/steam
	linux-gate.so.1 (0xf774a000)
	libX11.so.6 => /usr/lib32/libX11.so.6 (0xf75d6000)
	librt.so.1 => /usr/lib32/librt.so.1 (0xf75cd000)
	libm.so.6 => /usr/lib32/libm.so.6 (0xf7580000)
	libdl.so.2 => /usr/lib32/libdl.so.2 (0xf757b000)
	libstdc++.so.6 => /usr/lib32/libstdc++.so.6 (0xf7403000)
	libpthread.so.0 => /usr/lib32/libpthread.so.0 (0xf73e5000)
	libc.so.6 => /usr/lib32/libc.so.6 (0xf722b000)
	libxcb.so.1 => /usr/lib32/libxcb.so.1 (0xf7204000)
	/lib/ld-linux.so.2 (0xf774b000)
	libgcc_s.so.1 => /usr/lib32/libgcc_s.so.1 (0xf71ea000)
	libXau.so.6 => /usr/lib32/libXau.so.6 (0xf71e5000)
	libXdmcp.so.6 => /usr/lib32/libXdmcp.so.6 (0xf71de000)

это нужно все вот эти библиотеки переставить или что?

netpad ()
Ответ на: комментарий от sudopacman

Значит у тебя существуют файлы /etc/os-release или /etc/debian_version. Очевидно же, что это арчепроблемы. У меня в Debian тоже всё работает.

das_tier ★★★★★ ()
Ответ на: комментарий от das_tier

Арч у меня. Файл /etc/os-release есть, с чего бы ему вдруг не быть.

sudopacman ★★★★★ ()

комп не тянет, возьми что-нибудь из top500

anonymous ()

Всё решилось установкой

lib32-mesa-libgl

netpad ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.